ALTER TABLE `#__jshopping_categories` 
ADD COLUMN `access` int( 3 ) NOT NULL DEFAULT '1';

alter table `#__jshopping_products` 
add column `parent_id` int(11) NOT NULL,
add column `currency_id` int(4) NOT NULL default '0',
ADD COLUMN `access` int( 3 ) NOT NULL DEFAULT '1';

alter table `#__jshopping_products_images`
add column `name` varchar(255) NOT NULL default '',
add column `ordering` TINYINT(4) NOT NULL;

ALTER TABLE `#__jshopping_config` 
ADD COLUMN `product_show_manufacturer` tinyint( 1 ) NOT NULL ,
ADD COLUMN `use_extend_attribute_data` tinyint( 1 ) NOT NULL ,
ADD COLUMN `product_list_show_price_default` tinyint( 1 ) NOT NULL ,
ADD COLUMN `product_list_show_qty_stock` tinyint( 1 ) NOT NULL ,
ADD COLUMN `product_show_qty_stock` tinyint( 1 ) NOT NULL ,
ADD COLUMN `displayprice` tinyint( 1 ) NOT NULL ,
ADD COLUMN `use_decimal_qty` tinyint( 1 ) NOT NULL ,
ADD COLUMN `ext_tax_rule_for` tinyint( 1 ) NOT NULL ,
ADD COLUMN `display_reviews_without_confirm` tinyint( 1 ) NOT NULL ,
ADD COLUMN `manufacturer_sorting` tinyint( 1 ) NOT NULL,
ADD COLUMN `admin_show_units` TINYINT(1) NOT NULL,
ADD COLUMN `main_unit_weight` TINYINT(3) NOT NULL;

alter table `#__jshopping_users`
add column `home` VARCHAR( 20 ) NOT NULL,
add column `apartment` VARCHAR( 20 ) NOT NULL,
add column `d_home` VARCHAR( 20 ) NOT NULL,
add column `d_apartment` VARCHAR( 20 ) NOT NULL;

alter table `#__jshopping_payment_method`
add column `image` VARCHAR(255) NOT NULL;

alter table `#__jshopping_shipping_method`
add column `published` tinyint(1) NOT NULL default '0',
add column `payments` varchar(255) NOT NULL default '',
add column `image` VARCHAR(255) NOT NULL,
add column `ordering` int(6) NOT NULL default '0';

update #__jshopping_shipping_method set `published`=`shipping_publish`, `ordering`=`shipping_ordering`;

CREATE TABLE IF NOT EXISTS `#__jshopping_shipping_ext_calc`(
`id` int(11) NOT NULL auto_increment,
`name` varchar(100) NOT NULL,
`alias` varchar(100) NOT NULL,
`description` text NOT NULL,
`params` text NOT NULL,
`shipping_method` text NOT NULL,
`published` tinyint(1) NOT NULL,
`ordering` int(6) NOT NULL,
PRIMARY KEY  (`id`)
) /*!40100 DEFAULT CHARACTER SET utf8 COLLATE utf8_general_ci*/;

alter table `#__jshopping_shipping_method_price`
add column `params` text NOT NULL;

alter table `#__jshopping_order_item`
add column `thumb_image` varchar(255) NOT NULL default '';

alter table `#__jshopping_orders`
add column `home` VARCHAR( 20 ) NOT NULL,
add column `apartment` VARCHAR( 20 ) NOT NULL,
add column `d_home` VARCHAR( 20 ) NOT NULL,
add column `d_apartment` VARCHAR( 20 ) NOT NULL;

ALTER TABLE `#__jshopping_products_attr` 
ADD COLUMN `old_price` decimal( 12, 2 ) NOT NULL ,
ADD COLUMN `ext_attribute_product_id` int( 11 ) NOT NULL ;

ALTER TABLE `#__jshopping_products_extra_fields`
ADD COLUMN `type` tinyint( 1 ) NOT NULL,
ADD COLUMN `group` tinyint( 4 ) NOT NULL;

CREATE TABLE IF NOT EXISTS `#__jshopping_products_extra_field_groups` (
`id` int(11) NOT NULL auto_increment,  
`ordering` int(6) NOT NULL,
PRIMARY KEY  (`id`)
) /*!40100 DEFAULT CHARACTER SET utf8 COLLATE utf8_general_ci*/;

ALTER TABLE `#__jshopping_vendors` 
ADD COLUMN `middlename` varchar( 255 ) NOT NULL ,
ADD COLUMN `benef_bank_info` varchar( 64 ) NOT NULL ,
ADD COLUMN `benef_bic` varchar( 64 ) NOT NULL ,
ADD COLUMN `benef_conto` varchar( 64 ) NOT NULL ,
ADD COLUMN `benef_payee` varchar( 64 ) NOT NULL ,
ADD COLUMN `benef_iban` varchar( 64 ) NOT NULL ,
ADD COLUMN `benef_swift` varchar( 64 ) NOT NULL ,
ADD COLUMN `interm_name` varchar( 64 ) NOT NULL ,
ADD COLUMN `interm_swift` varchar( 64 ) NOT NULL ,
ADD COLUMN `identification_number` varchar( 64 ) NOT NULL ,
ADD COLUMN `tax_number` varchar( 64 ) NOT NULL ,
ADD COLUMN `additional_information` text NOT NULL ,
ADD COLUMN `main` tinyint( 1 ) NOT NULL;

ALTER TABLE `#__jshopping_free_attr` ADD COLUMN `type` tinyint( 3 ) NOT NULL;

INSERT INTO `#__jshopping_shipping_ext_calc` (`id`, `name`, `alias`, `description`, `params`, `shipping_method`, `published`, `ordering`) VALUES (1, 'StandartWeight', 'sm_standart_weight', 'StandartWeight', '', '', 1, 1);

ALTER TABLE `#__jshopping_order_item` CHANGE `product_quantity` `product_quantity` DECIMAL( 12, 2 ) NOT NULL DEFAULT '0.00';

delete from `#__jshopping_languages`;